Bug 529584 - /etc/mime.types does not know about application/x-xz
Summary: /etc/mime.types does not know about application/x-xz
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mailcap
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-18 21:31 UTC by Nicolas Mailhot
Modified: 2009-11-27 22:08 UTC (History)
2 users (show)

Fixed In Version: 2.1.31-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-27 22:08:01 UTC


Attachments (Terms of Use)

Description Nicolas Mailhot 2009-10-18 21:31:39 UTC
Description of problem:

xz is a new extention for a compression algorithm  which is likely to become very common (it's used to compress rpm payload in Fedora and several upstreams have already adopted it for their releases)

Infortunately, /etc/mime.types does not know about it. Please fix this

GNOME uses application/x-xz for it

Version-Release number of selected component (if applicable):
mailcap-2.1.30-1.fc12.noarch

Comment 1 Ville Skyttä 2009-10-19 15:01:59 UTC
application/x-xz is also mentioned in http://tukaani.org/xz/xz-file-format.txt

Done upstream, a package release will follow soonish.  I don't see why this would be critical to have in F-12 GA, and we're already in a freeze so removing target blocker.  It will be shipped as an update to F-12 (and quite possibly earlier versions as well).

http://git.fedoraproject.org/git/mailcap.git?p=mailcap.git;a=commitdiff;h=ac0f5e2b5a38e9e2997fd486d2633b420cf988fa

Comment 2 Bug Zapper 2009-11-16 13:49:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Update System 2009-11-17 21:39:15 UTC
mailcap-2.1.31-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mailcap-2.1.31-1.fc12

Comment 4 Fedora Update System 2009-11-20 05:32:18 UTC
mailcap-2.1.31-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mailcap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11838

Comment 5 Fedora Update System 2009-11-27 22:07:56 UTC
mailcap-2.1.31-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.